TypeLibUtil (JNA API)
Description: declaration: package: com.sun.jna.platform.win32.COM, class: TypeLibUtil

Package com.sun.jna.platform.win32.COM

# Class TypeLibUtil

java.lang.Object
com.sun.jna.platform.win32.COM.TypeLibUtil

public class TypeLibUtil extends Object
Wrapper class for the class ITypeLibUtil.

Author:
  wolf.tobias@gmx.net The Class ITypeLibUtil.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `TypeLibUtil.FindName`
  The Class FindName.
  `static class`
  `TypeLibUtil.IsName`
  The Class IsName.
  `static class`
  `TypeLibUtil.TypeLibDoc`
  The Class TypeLibDoc.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final OleAuto`
  `OLEAUTO`
  The Constant OLEAUTO.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TypeLibUtil(String file)`
  `TypeLibUtil(String clsidStr, int wVerMajor, int wVerMinor)`
  Instantiates a new i type lib util.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `TypeLibUtil.FindName`
  `FindName(String name, int hashVal, short maxResult)`
  Find name.
  `String`
  `getDocString()`
  Gets the doc string.
  `TypeLibUtil.TypeLibDoc`
  `getDocumentation(int index)`
  Gets the documentation.
  `int`
  `getHelpContext()`
  Gets the help context.
  `String`
  `getHelpFile()`
  Gets the help file.
  `WinDef.LCID`
  `getLcid()`
  Gets the lcid.
  `OaIdl.TLIBATTR`
  `getLibAttr()`
  Gets the lib attr.
  `String`
  `getName()`
  Gets the name.
  `TypeComp`
  `GetTypeComp()`
  Gets the type comp.
  `ITypeInfo`
  `getTypeInfo(int index)`
  Gets the type info.
  `int`
  `getTypeInfoCount()`
  Gets the type info count.
  `OaIdl.TYPEKIND`
  `getTypeInfoType(int index)`
  Gets the type info type.
  `TypeInfoUtil`
  `getTypeInfoUtil(int index)`
  Gets the type info util.
  `ITypeLib`
  `getTypelib()`
  Gets the typelib.
  `TypeLibUtil.IsName`
  `IsName(String nameBuf, int hashVal)`
  Checks if is name.
  `void`
  `ReleaseTLibAttr(OaIdl.TLIBATTR pTLibAttr)`
  Release t lib attr.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### OLEAUTO

    public static final OleAuto OLEAUTO
    The Constant OLEAUTO.

- ## Constructor Details

  - ### TypeLibUtil

    public TypeLibUtil(String clsidStr, int wVerMajor, int wVerMinor)
    Instantiates a new i type lib util.
    Parameters:
      `clsidStr` - the clsid str
      `wVerMajor` - the w ver major
      `wVerMinor` - the w ver minor

  - ### TypeLibUtil

    public TypeLibUtil(String file)

- ## Method Details

  - ### getTypeInfoCount

    public int getTypeInfoCount()
    Gets the type info count.
    Returns:
      the type info count

  - ### getTypeInfoType

    public OaIdl.TYPEKIND getTypeInfoType(int index)
    Gets the type info type.
    Parameters:
      `index` - the index
    Returns:
      the type info type

  - ### getTypeInfo

    public ITypeInfo getTypeInfo(int index)
    Gets the type info.
    Parameters:
      `index` - the index
    Returns:
      the type info

  - ### getTypeInfoUtil

    public TypeInfoUtil getTypeInfoUtil(int index)
    Gets the type info util.
    Parameters:
      `index` - the index
    Returns:
      the type info util

  - ### getLibAttr

    public OaIdl.TLIBATTR getLibAttr()
    Gets the lib attr.
    Returns:
      the lib attr

  - ### GetTypeComp

    public TypeComp GetTypeComp()
    Gets the type comp.
    Returns:
      the i type comp. by reference

  - ### getDocumentation

    public TypeLibUtil.TypeLibDoc getDocumentation(int index)
    Gets the documentation.
    Parameters:
      `index` - the index
    Returns:
      the documentation

  - ### IsName

    public TypeLibUtil.IsName IsName(String nameBuf, int hashVal)
    Checks if is name.
    Parameters:
      `nameBuf` - the name buf
      `hashVal` - the hash val
    Returns:
      the checks if is name

  - ### FindName

    public TypeLibUtil.FindName FindName(String name, int hashVal, short maxResult)
    Find name.
    Parameters:
      `name` - the name
      `hashVal` - the hash val or 0 if unknown
      `maxResult` - maximum number of items to search
    Returns:
      the find name

  - ### ReleaseTLibAttr

    public void ReleaseTLibAttr(OaIdl.TLIBATTR pTLibAttr)
    Release t lib attr.
    Parameters:
      `pTLibAttr` - the t lib attr

  - ### getLcid

    public WinDef.LCID getLcid()
    Gets the lcid.
    Returns:
      the lcid

  - ### getTypelib

    public ITypeLib getTypelib()
    Gets the typelib.
    Returns:
      the typelib

  - ### getName

    public String getName()
    Gets the name.
    Returns:
      the name

  - ### getDocString

    public String getDocString()
    Gets the doc string.
    Returns:
      the doc string

  - ### getHelpContext

    public int getHelpContext()
    Gets the help context.
    Returns:
      the help context

  - ### getHelpFile

    public String getHelpFile()
    Gets the help file.
    Returns:
      the help file